!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           7 Nov 23 16:16:04  *
!**************************************************************
! User     : Full professional version
! Notebook : elmt50_lumen_drug
! Evaluation time                 : 19 s    Mode  : Optimal
! Number of formulae              : 592     Method: Automatic
! Subroutine                      : elmt50_lumen_drug size: 13495
! Total size of Mathematica  code : 13495 subexpressions
! Total size of Fortran code      : 35389 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt50_lumen_drug(dt,t,Xn,Un,xi,eta,zeta,rhoEvec,kE
     &,cDvec,cDwallvec,qDbarref,AD,tp,tc,epsilonD2,Pdrug,resD1
     &,tangD1U,tangD1D,tangD1En,resD2,tangD2U,tangD2D,tangD2En,fB2)
      IMPLICIT NONE
      include 'sms.h'
      DOUBLE PRECISION v(1134),dt,t,Xn(4,3),Un(4,3),xi,eta
     &,zeta,rhoEvec(4),kE,cDvec(4),cDwallvec(4),qDbarref,AD,tp,tc
     &,epsilonD2,Pdrug,resD1(4),tangD1U(4,12),tangD1D(4,4),tangD1En(4
     &,4),resD2(4),tangD2U(4,12),tangD2D(4,4),tangD2En(4,4),fB2
      v(1)=dt
      v(3)=Xn(1,1)
      v(4)=Xn(1,2)
      v(5)=Xn(1,3)
      v(6)=Xn(2,1)
      v(7)=Xn(2,2)
      v(8)=Xn(2,3)
      v(9)=Xn(3,1)
      v(10)=Xn(3,2)
      v(11)=Xn(3,3)
      v(12)=Xn(4,1)
      v(1004)=-v(12)+v(3)
      v(82)=(v(1004)-v(6)+v(9))/4d0
      v(13)=Xn(4,2)
      v(1003)=-v(13)+v(4)
      v(81)=(v(10)+v(1003)-v(7))/4d0
      v(14)=Xn(4,3)
      v(1002)=-v(14)+v(5)
      v(80)=(v(1002)+v(11)-v(8))/4d0
      v(27)=xi
      v(54)=1d0-v(27)
      v(65)=(-0.25d0)*v(54)
      v(52)=1d0+v(27)
      v(66)=(-0.25d0)*v(52)
      v(69)=v(1002)*v(65)+v(66)*(-v(11)+v(8))
      v(68)=v(1003)*v(65)+v(66)*(-v(10)+v(7))
      v(88)=-(v(68)*v(80))+v(69)*v(81)
      v(67)=v(1004)*v(65)+v(66)*(v(6)-v(9))
      v(86)=v(67)*v(80)-v(69)*v(82)
      v(84)=-(v(67)*v(81))+v(68)*v(82)
      v(28)=eta
      v(61)=(1d0+v(28))/4d0
      v(60)=((-1d0)+v(28))/4d0
      v(64)=(v(11)-v(14))*v(61)+v(60)*(v(5)-v(8))
      v(63)=(v(10)-v(13))*v(61)+v(60)*(v(4)-v(7))
      v(87)=v(63)*v(80)-v(64)*v(81)
      v(62)=(v(3)-v(6))*v(60)+v(61)*(-v(12)+v(9))
      v(85)=-(v(62)*v(80))+v(64)*v(82)
      v(83)=v(62)*v(81)-v(63)*v(82)
      v(29)=zeta
      v(46)=tc
      v(1024)=t/v(46)
      v(813)=epsilonD2*kE*v(1)
      v(1022)=Pdrug*v(1)
      v(49)=-(v(54)*v(60))
      v(727)=(v(49)*v(49))
      v(51)=-(v(52)*v(60))
      v(740)=(v(51)*v(51))
      v(53)=v(52)*v(61)
      v(753)=(v(53)*v(53))
      v(56)=v(54)*v(61)
      v(766)=(v(56)*v(56))
      v(70)=-(v(63)*v(67))+v(62)*v(68)
      v(71)=v(64)*v(67)-v(62)*v(69)
      v(72)=-(v(64)*v(68))+v(63)*v(69)
      v(91)=(v(70)*v(70))+(v(71)*v(71))+(v(72)*v(72))
      v(90)=sqrt(v(91))
      v(89)=dabs(v(90))
      v(1005)=-(dsign(1.d0,v(90))/(v(89)**2*sqrt(v(91))))
      v(94)=v(1005)*(v(70)*v(84)+v(71)*v(86)+v(72)*v(88))
      v(92)=v(1005)*(v(70)*v(83)+v(71)*v(85)+v(72)*v(87))
      v(106)=v(69)+v(29)*(v(84)/v(89)+v(70)*v(94))
      v(105)=v(64)+v(29)*(v(83)/v(89)+v(70)*v(92))
      v(104)=v(68)+v(29)*(v(86)/v(89)+v(71)*v(94))
      v(103)=v(63)+v(29)*(v(85)/v(89)+v(71)*v(92))
      v(169)=-(v(104)*v(105))+v(103)*v(106)
      v(102)=v(67)+v(29)*(v(88)/v(89)+v(72)*v(94))
      v(101)=v(62)+v(29)*(v(87)/v(89)+v(72)*v(92))
      v(177)=-(v(102)*v(103))+v(101)*v(104)
      v(173)=v(102)*v(105)-v(101)*v(106)
      v(73)=v(72)/v(89)
      v(75)=v(71)/v(89)
      v(179)=v(103)*v(73)-v(101)*v(75)
      v(178)=-(v(104)*v(73))+v(102)*v(75)
      v(76)=v(70)/v(89)
      v(196)=(v(73)*v(73))+(v(75)*v(75))+(v(76)*v(76))
      v(175)=-(v(105)*v(73))+v(101)*v(76)
      v(174)=v(106)*v(73)-v(102)*v(76)
      v(171)=v(105)*v(75)-v(103)*v(76)
      v(170)=-(v(106)*v(75))+v(104)*v(76)
      v(107)=Un(1,1)+v(3)
      v(108)=Un(1,2)+v(4)
      v(109)=Un(1,3)+v(5)
      v(110)=Un(2,1)+v(6)
      v(111)=Un(2,2)+v(7)
      v(112)=Un(2,3)+v(8)
      v(113)=Un(3,1)+v(9)
      v(114)=Un(3,2)+v(10)
      v(115)=Un(3,3)+v(11)
      v(116)=Un(4,1)+v(12)
      v(1006)=v(107)-v(116)
      v(138)=(v(1006)-v(110)+v(113))/4d0
      v(125)=v(1006)*v(65)+(v(110)-v(113))*v(66)
      v(234)=-(v(125)*v(61))
      v(224)=-(v(125)*v(60))
      v(206)=(-0.25d0)*v(125)
      v(207)=-v(206)+v(138)*v(66)
      v(203)=v(206)+v(138)*v(65)
      v(122)=(v(107)-v(110))*v(60)+(v(113)-v(116))*v(61)
      v(233)=v(122)*v(65)
      v(235)=-v(233)-v(234)
      v(1013)=2d0*v(235)
      v(228)=v(122)*v(66)
      v(229)=-v(228)+v(234)
      v(225)=-v(224)+v(228)
      v(221)=v(224)+v(233)
      v(212)=v(122)/4d0
      v(213)=v(212)-v(138)*v(61)
      v(209)=v(212)-v(138)*v(60)
      v(117)=Un(4,2)+v(13)
      v(1007)=v(108)-v(117)
      v(139)=(v(1007)-v(111)+v(114))/4d0
      v(126)=v(1007)*v(65)+(v(111)-v(114))*v(66)
      v(231)=v(126)*v(61)
      v(222)=v(126)*v(60)
      v(204)=v(126)/4d0
      v(205)=-v(204)-v(139)*v(66)
      v(202)=v(204)-v(139)*v(65)
      v(142)=v(126)*v(138)-v(125)*v(139)
      v(1019)=2d0*v(142)
      v(123)=(v(108)-v(111))*v(60)+(v(114)-v(117))*v(61)
      v(230)=-(v(123)*v(65))
      v(232)=-v(230)-v(231)
      v(226)=-(v(123)*v(66))
      v(227)=-v(226)+v(231)
      v(223)=-v(222)+v(226)
      v(220)=v(222)+v(230)
      v(210)=(-0.25d0)*v(123)
      v(211)=v(210)+v(139)*v(61)
      v(208)=v(210)+v(139)*v(60)
      v(141)=-(v(123)*v(138))+v(122)*v(139)
      v(1016)=2d0*v(141)
      v(118)=Un(4,3)+v(14)
      v(1008)=v(109)-v(118)
      v(140)=(v(1008)-v(112)+v(115))/4d0
      v(127)=v(1008)*v(65)+(v(112)-v(115))*v(66)
      v(242)=-(v(127)*v(61))
      v(237)=-(v(127)*v(60))
      v(215)=v(127)/4d0
      v(216)=-v(215)-v(140)*v(66)
      v(214)=v(215)-v(140)*v(65)
      v(146)=v(127)*v(139)-v(126)*v(140)
      v(1017)=2d0*v(146)
      v(144)=-(v(127)*v(138))+v(125)*v(140)
      v(1018)=2d0*v(144)
      v(124)=(v(109)-v(112))*v(60)+(v(115)-v(118))*v(61)
      v(241)=v(124)*v(65)
      v(243)=-v(241)-v(242)
      v(239)=v(124)*v(66)
      v(240)=-v(239)+v(242)
      v(238)=-v(237)+v(239)
      v(236)=v(237)+v(241)
      v(218)=(-0.25d0)*v(124)
      v(219)=v(218)+v(140)*v(61)
      v(217)=v(218)+v(140)*v(60)
      v(145)=-(v(124)*v(139))+v(123)*v(140)
      v(1014)=2d0*v(145)
      v(143)=v(124)*v(138)-v(122)*v(140)
      v(1015)=2d0*v(143)
      v(128)=-(v(123)*v(125))+v(122)*v(126)
      v(1009)=2d0*v(128)
      v(341)=v(1009)*v(213)
      v(338)=v(1009)*v(211)
      v(329)=v(1009)*v(209)
      v(326)=v(1009)*v(208)
      v(316)=v(1009)*v(203)
      v(313)=v(1009)*v(202)
      v(307)=v(1009)*v(207)
      v(304)=v(1009)*v(205)
      v(129)=v(124)*v(125)-v(122)*v(127)
      v(1010)=(-2d0)*v(129)
      v(345)=v(1010)*v(213)
      v(339)=v(1010)*v(219)
      v(333)=v(1010)*v(209)
      v(327)=v(1010)*v(217)
      v(320)=v(1010)*v(203)
      v(314)=v(1010)*v(214)
      v(311)=v(1010)*v(207)
      v(305)=v(1010)*v(216)
      v(253)=2d0*(v(128)*v(232)+v(129)*v(243))
      v(250)=2d0*(v(128)*v(227)+v(129)*v(240))
      v(247)=2d0*(v(128)*v(223)+v(129)*v(238))
      v(244)=2d0*(v(128)*v(220)+v(129)*v(236))
      v(130)=-(v(124)*v(126))+v(123)*v(127)
      v(1011)=2d0*v(130)
      v(344)=-(v(1011)*v(211))
      v(342)=v(1011)*v(219)
      v(332)=-(v(1011)*v(208))
      v(330)=v(1011)*v(217)
      v(322)=2d0*(v(128)*v(141)+v(129)*v(143)+v(130)*v(145))
      v(319)=-(v(1011)*v(202))
      v(317)=v(1011)*v(214)
      v(310)=-(v(1011)*v(205))
      v(308)=v(1011)*v(216)
      v(297)=2d0*(v(128)*v(142)+v(129)*v(144)+v(130)*v(146))
      v(255)=(-2d0)*(v(130)*v(232)+v(129)*v(235))
      v(254)=v(1009)*v(235)-v(1011)*v(243)
      v(252)=(-2d0)*(v(130)*v(227)+v(129)*v(229))
      v(251)=v(1009)*v(229)-v(1011)*v(240)
      v(249)=(-2d0)*(v(130)*v(223)+v(129)*v(225))
      v(248)=v(1009)*v(225)-v(1011)*v(238)
      v(246)=(-2d0)*(v(130)*v(220)+v(129)*v(221))
      v(245)=v(1009)*v(221)-v(1011)*v(236)
      v(149)=(v(128)*v(128))+(v(129)*v(129))+(v(130)*v(130))
      v(148)=sqrt(v(149))
      v(269)=dsign(1.d0,v(148))
      v(1012)=v(269)/(2d0*sqrt(v(149)))
      v(281)=v(1012)*v(255)
      v(280)=v(1012)*v(254)
      v(279)=v(1012)*v(253)
      v(278)=v(1012)*v(252)
      v(277)=v(1012)*v(251)
      v(276)=v(1012)*v(250)
      v(275)=v(1012)*v(249)
      v(274)=v(1012)*v(248)
      v(273)=v(1012)*v(247)
      v(272)=v(1012)*v(246)
      v(271)=v(1012)*v(245)
      v(270)=v(1012)*v(244)
      v(147)=dabs(v(148))
      v(285)=(2d0*v(1012))/v(147)**3
      v(282)=1d0/v(147)**2
      v(358)=-(v(281)*v(282))
      v(586)=v(128)*v(358)
      v(357)=-(v(280)*v(282))
      v(565)=v(129)*v(357)
      v(356)=-(v(279)*v(282))
      v(548)=v(130)*v(356)
      v(355)=-(v(278)*v(282))
      v(581)=v(128)*v(355)
      v(354)=-(v(277)*v(282))
      v(561)=v(129)*v(354)
      v(353)=-(v(276)*v(282))
      v(545)=v(130)*v(353)
      v(352)=-(v(275)*v(282))
      v(576)=v(128)*v(352)
      v(351)=-(v(274)*v(282))
      v(557)=v(129)*v(351)
      v(350)=-(v(273)*v(282))
      v(542)=v(130)*v(350)
      v(349)=-(v(272)*v(282))
      v(571)=v(128)*v(349)
      v(348)=-(v(271)*v(282))
      v(553)=v(129)*v(348)
      v(347)=-(v(270)*v(282))
      v(539)=v(130)*v(347)
      v(284)=(v(269)*v(282))/(4d0*v(149)**0.15d1)
      v(296)=v(255)*v(284)+v(281)*v(285)
      v(295)=v(254)*v(284)+v(280)*v(285)
      v(294)=v(253)*v(284)+v(279)*v(285)
      v(293)=v(252)*v(284)+v(278)*v(285)
      v(292)=v(251)*v(284)+v(277)*v(285)
      v(291)=v(250)*v(284)+v(276)*v(285)
      v(290)=v(249)*v(284)+v(275)*v(285)
      v(289)=v(248)*v(284)+v(274)*v(285)
      v(288)=v(247)*v(284)+v(273)*v(285)
      v(287)=v(246)*v(284)+v(272)*v(285)
      v(286)=v(245)*v(284)+v(271)*v(285)
      v(283)=v(244)*v(284)+v(270)*v(285)
      v(151)=-(v(1012)*v(282))
      v(346)=v(296)*v(322)-v(151)*(v(1013)*v(143)+v(1014)*v(232)+v
     &(344)+v(345))
      v(414)=v(29)*(v(128)*v(346)+v(141)*v(358))-v(61)
      v(343)=v(295)*v(322)+v(151)*(v(1013)*v(141)-v(1014)*v(243)-v
     &(341)-v(342))
      v(473)=v(29)*(v(129)*v(343)+v(143)*v(357))-v(61)
      v(340)=v(294)*v(322)+v(151)*(v(1016)*v(232)+v(1015)*v(243)-v
     &(338)-v(339))
      v(536)=v(29)*(v(130)*v(340)+v(145)*v(356))-v(61)
      v(337)=v(293)*v(322)+v(151)*(-(v(1014)*v(227))-v(1015)*v(229)+v
     &(344)+v(345))
      v(411)=v(29)*(v(128)*v(337)+v(141)*v(355))+v(61)
      v(336)=v(292)*v(322)+v(151)*(v(1016)*v(229)-v(1014)*v(240)+v
     &(341)+v(342))
      v(470)=v(29)*(v(129)*v(336)+v(143)*v(354))+v(61)
      v(335)=v(291)*v(322)+v(151)*(v(1016)*v(227)+v(1015)*v(240)+v
     &(338)+v(339))
      v(533)=v(29)*(v(130)*v(335)+v(145)*v(353))+v(61)
      v(334)=v(290)*v(322)-v(151)*(v(1014)*v(223)+v(1015)*v(225)+v
     &(332)+v(333))
      v(408)=v(29)*(v(128)*v(334)+v(141)*v(352))-v(60)
      v(331)=v(289)*v(322)+v(151)*(v(1016)*v(225)-v(1014)*v(238)-v
     &(329)-v(330))
      v(467)=v(29)*(v(129)*v(331)+v(143)*v(351))-v(60)
      v(328)=v(288)*v(322)+v(151)*(v(1016)*v(223)+v(1015)*v(238)-v
     &(326)-v(327))
      v(530)=v(29)*(v(130)*v(328)+v(145)*v(350))-v(60)
      v(325)=v(287)*v(322)+v(151)*(-(v(1014)*v(220))-v(1015)*v(221)+v
     &(332)+v(333))
      v(405)=v(29)*(v(128)*v(325)+v(141)*v(349))+v(60)
      v(324)=v(286)*v(322)+v(151)*(v(1016)*v(221)-v(1014)*v(236)+v
     &(329)+v(330))
      v(464)=v(29)*(v(129)*v(324)+v(143)*v(348))+v(60)
      v(323)=v(283)*v(322)+v(151)*(v(1016)*v(220)+v(1015)*v(236)+v
     &(326)+v(327))
      v(527)=v(29)*(v(130)*v(323)+v(145)*v(347))+v(60)
      v(321)=v(296)*v(297)-v(151)*(v(1013)*v(144)+v(1017)*v(232)+v
     &(319)+v(320))
      v(386)=v(29)*(v(128)*v(321)+v(142)*v(358))-v(65)
      v(318)=v(295)*v(297)+v(151)*(v(1013)*v(142)-v(1017)*v(243)-v
     &(316)-v(317))
      v(443)=v(29)*(v(129)*v(318)+v(144)*v(357))-v(65)
      v(315)=v(294)*v(297)+v(151)*(v(1019)*v(232)+v(1018)*v(243)-v
     &(313)-v(314))
      v(504)=v(29)*(v(130)*v(315)+v(146)*v(356))-v(65)
      v(312)=v(293)*v(297)-v(151)*(v(1017)*v(227)+v(1018)*v(229)+v
     &(310)+v(311))
      v(383)=v(29)*(v(128)*v(312)+v(142)*v(355))-v(66)
      v(309)=v(292)*v(297)+v(151)*(v(1019)*v(229)-v(1017)*v(240)-v
     &(307)-v(308))
      v(440)=v(29)*(v(129)*v(309)+v(144)*v(354))-v(66)
      v(306)=v(291)*v(297)+v(151)*(v(1019)*v(227)+v(1018)*v(240)-v
     &(304)-v(305))
      v(501)=v(29)*(v(130)*v(306)+v(146)*v(353))-v(66)
      v(303)=v(290)*v(297)+v(151)*(-(v(1017)*v(223))-v(1018)*v(225)+v
     &(310)+v(311))
      v(380)=v(29)*(v(128)*v(303)+v(142)*v(352))+v(66)
      v(302)=v(289)*v(297)+v(151)*(v(1019)*v(225)-v(1017)*v(238)+v
     &(307)+v(308))
      v(437)=v(29)*(v(129)*v(302)+v(144)*v(351))+v(66)
      v(301)=v(288)*v(297)+v(151)*(v(1019)*v(223)+v(1018)*v(238)+v
     &(304)+v(305))
      v(498)=v(29)*(v(130)*v(301)+v(146)*v(350))+v(66)
      v(300)=v(287)*v(297)+v(151)*(-(v(1017)*v(220))-v(1018)*v(221)+v
     &(319)+v(320))
      v(377)=v(29)*(v(128)*v(300)+v(142)*v(349))+v(65)
      v(299)=v(286)*v(297)+v(151)*(v(1019)*v(221)-v(1017)*v(236)+v
     &(316)+v(317))
      v(434)=v(29)*(v(129)*v(299)+v(144)*v(348))+v(65)
      v(298)=v(283)*v(297)+v(151)*(v(1019)*v(220)+v(1018)*v(236)+v
     &(313)+v(314))
      v(495)=v(29)*(v(130)*v(298)+v(146)*v(347))+v(65)
      v(152)=v(151)*v(297)
      v(493)=v(152)*v(232)
      v(491)=v(152)*v(243)
      v(488)=v(152)*v(227)
      v(486)=v(152)*v(240)
      v(483)=v(152)*v(223)
      v(481)=v(152)*v(238)
      v(478)=v(152)*v(220)
      v(476)=v(152)*v(236)
      v(431)=v(152)*v(235)
      v(426)=v(152)*v(229)
      v(421)=v(152)*v(225)
      v(417)=v(152)*v(221)
      v(150)=v(151)*v(322)
      v(525)=v(150)*v(232)
      v(523)=v(150)*v(243)
      v(520)=v(150)*v(227)
      v(518)=v(150)*v(240)
      v(515)=v(150)*v(223)
      v(513)=v(150)*v(238)
      v(510)=v(150)*v(220)
      v(508)=v(150)*v(236)
      v(461)=v(150)*v(235)
      v(456)=v(150)*v(229)
      v(452)=v(150)*v(225)
      v(447)=v(150)*v(221)
      v(584)=-(v(235)/v(147))
      v(585)=v(128)*v(357)-v(584)
      v(582)=-(v(232)/v(147))
      v(583)=v(128)*v(356)-v(582)
      v(579)=-(v(229)/v(147))
      v(580)=v(128)*v(354)-v(579)
      v(577)=-(v(227)/v(147))
      v(578)=v(128)*v(353)-v(577)
      v(574)=-(v(225)/v(147))
      v(575)=v(128)*v(351)-v(574)
      v(572)=-(v(223)/v(147))
      v(573)=v(128)*v(350)-v(572)
      v(569)=-(v(221)/v(147))
      v(570)=v(128)*v(348)-v(569)
      v(567)=-(v(220)/v(147))
      v(568)=v(128)*v(347)-v(567)
      v(566)=v(129)*v(358)+v(584)
      v(563)=-(v(243)/v(147))
      v(564)=v(129)*v(356)-v(563)
      v(562)=v(129)*v(355)+v(579)
      v(559)=-(v(240)/v(147))
      v(560)=v(129)*v(353)-v(559)
      v(558)=v(129)*v(352)+v(574)
      v(555)=-(v(238)/v(147))
      v(556)=v(129)*v(350)-v(555)
      v(554)=v(129)*v(349)+v(569)
      v(551)=-(v(236)/v(147))
      v(552)=v(129)*v(347)-v(551)
      v(550)=v(130)*v(358)+v(582)
      v(549)=v(130)*v(357)+v(563)
      v(547)=v(130)*v(355)+v(577)
      v(546)=v(130)*v(354)+v(559)
      v(544)=v(130)*v(352)+v(572)
      v(543)=v(130)*v(351)+v(555)
      v(541)=v(130)*v(349)+v(567)
      v(540)=v(130)*v(348)+v(551)
      v(458)=-(v(219)/v(147))
      v(537)=v(29)*(v(130)*v(343)+v(145)*v(357)+v(458)-v(523))
      v(534)=v(29)*(v(130)*v(336)+v(145)*v(354)-v(458)-v(518))
      v(472)=v(29)*(v(129)*v(340)+v(143)*v(356)-v(458)+v(523))
      v(469)=v(29)*(v(129)*v(335)+v(143)*v(353)+v(458)+v(518))
      v(449)=-(v(217)/v(147))
      v(531)=v(29)*(v(130)*v(331)+v(145)*v(351)+v(449)-v(513))
      v(528)=v(29)*(v(130)*v(324)+v(145)*v(348)-v(449)-v(508))
      v(466)=v(29)*(v(129)*v(328)+v(143)*v(350)-v(449)+v(513))
      v(463)=v(29)*(v(129)*v(323)+v(143)*v(347)+v(449)+v(508))
      v(428)=-(v(214)/v(147))
      v(505)=v(29)*(v(130)*v(318)+v(146)*v(357)+v(428)-v(491))
      v(496)=v(29)*(v(130)*v(299)+v(146)*v(348)-v(428)-v(476))
      v(442)=v(29)*(v(129)*v(315)+v(144)*v(356)-v(428)+v(491))
      v(423)=-(v(216)/v(147))
      v(502)=v(29)*(v(130)*v(309)+v(146)*v(354)+v(423)-v(486))
      v(499)=v(29)*(v(130)*v(302)+v(146)*v(351)-v(423)-v(481))
      v(439)=v(29)*(v(129)*v(306)+v(144)*v(353)-v(423)+v(486))
      v(436)=v(29)*(v(129)*v(301)+v(144)*v(350)+v(423)+v(481))
      v(433)=v(29)*(v(129)*v(298)+v(144)*v(347)+v(428)+v(476))
      v(400)=v(213)/v(147)
      v(474)=v(29)*(v(129)*v(346)+v(143)*v(358)+v(400)-v(461))
      v(471)=v(29)*(v(129)*v(337)+v(143)*v(355)-v(400)-v(456))
      v(413)=v(29)*(v(128)*v(343)+v(141)*v(357)-v(400)+v(461))
      v(398)=v(211)/v(147)
      v(538)=v(29)*(v(130)*v(346)+v(145)*v(358)+v(398)-v(525))
      v(535)=v(29)*(v(130)*v(337)+v(145)*v(355)-v(398)-v(520))
      v(412)=v(29)*(v(128)*v(340)+v(141)*v(356)-v(398)+v(525))
      v(410)=v(29)*(v(128)*v(336)+v(141)*v(354)+v(400)+v(456))
      v(409)=v(29)*(v(128)*v(335)+v(141)*v(353)+v(398)+v(520))
      v(392)=v(209)/v(147)
      v(468)=v(29)*(v(129)*v(334)+v(143)*v(352)+v(392)-v(452))
      v(465)=v(29)*(v(129)*v(325)+v(143)*v(349)-v(392)-v(447))
      v(407)=v(29)*(v(128)*v(331)+v(141)*v(351)-v(392)+v(452))
      v(390)=v(208)/v(147)
      v(532)=v(29)*(v(130)*v(334)+v(145)*v(352)+v(390)-v(515))
      v(529)=v(29)*(v(130)*v(325)+v(145)*v(349)-v(390)-v(510))
      v(406)=v(29)*(v(128)*v(328)+v(141)*v(350)-v(390)+v(515))
      v(404)=v(29)*(v(128)*v(324)+v(141)*v(348)+v(392)+v(447))
      v(403)=v(29)*(v(128)*v(323)+v(141)*v(347)+v(390)+v(510))
      v(372)=v(203)/v(147)
      v(444)=v(29)*(v(129)*v(321)+v(144)*v(358)+v(372)-v(431))
      v(435)=v(29)*(v(129)*v(300)+v(144)*v(349)-v(372)-v(417))
      v(385)=v(29)*(v(128)*v(318)+v(142)*v(357)-v(372)+v(431))
      v(370)=v(202)/v(147)
      v(506)=v(29)*(v(130)*v(321)+v(146)*v(358)+v(370)-v(493))
      v(497)=v(29)*(v(130)*v(300)+v(146)*v(349)-v(370)-v(478))
      v(384)=v(29)*(v(128)*v(315)+v(142)*v(356)-v(370)+v(493))
      v(367)=v(207)/v(147)
      v(441)=v(29)*(v(129)*v(312)+v(144)*v(355)+v(367)-v(426))
      v(438)=v(29)*(v(129)*v(303)+v(144)*v(352)-v(367)-v(421))
      v(382)=v(29)*(v(128)*v(309)+v(142)*v(354)-v(367)+v(426))
      v(365)=v(205)/v(147)
      v(503)=v(29)*(v(130)*v(312)+v(146)*v(355)+v(365)-v(488))
      v(500)=v(29)*(v(130)*v(303)+v(146)*v(352)-v(365)-v(483))
      v(381)=v(29)*(v(128)*v(306)+v(142)*v(353)-v(365)+v(488))
      v(379)=v(29)*(v(128)*v(302)+v(142)*v(351)+v(367)+v(421))
      v(378)=v(29)*(v(128)*v(301)+v(142)*v(350)+v(365)+v(483))
      v(376)=v(29)*(v(128)*v(299)+v(142)*v(348)+v(372)+v(417))
      v(375)=v(29)*(v(128)*v(298)+v(142)*v(347)+v(370)+v(478))
      v(164)=v(127)+(v(142)/v(147)+v(128)*v(152))*v(29)
      v(163)=v(124)+(v(141)/v(147)+v(128)*v(150))*v(29)
      v(162)=v(126)+(v(144)/v(147)+v(129)*v(152))*v(29)
      v(161)=v(123)+(v(143)/v(147)+v(129)*v(150))*v(29)
      v(160)=v(125)+(v(146)/v(147)+v(130)*v(152))*v(29)
      v(159)=v(122)+(v(145)/v(147)+v(130)*v(150))*v(29)
      v(131)=v(130)/v(147)
      v(133)=v(129)/v(147)
      v(134)=v(128)/v(147)
      v(165)=1d0/(v(169)*v(73)+v(173)*v(75)+v(177)*v(76))
      v(694)=v(165)*(v(179)*v(386)+v(178)*v(414)+v(177)*v(586))
      v(693)=v(165)*(v(179)*v(385)+v(178)*v(413)+v(177)*v(585))
      v(692)=v(165)*(v(179)*v(384)+v(178)*v(412)+v(177)*v(583))
      v(691)=v(165)*(v(179)*v(383)+v(178)*v(411)+v(177)*v(581))
      v(690)=v(165)*(v(179)*v(382)+v(178)*v(410)+v(177)*v(580))
      v(689)=v(165)*(v(179)*v(381)+v(178)*v(409)+v(177)*v(578))
      v(688)=v(165)*(v(179)*v(380)+v(178)*v(408)+v(177)*v(576))
      v(687)=v(165)*(v(179)*v(379)+v(178)*v(407)+v(177)*v(575))
      v(686)=v(165)*(v(179)*v(378)+v(178)*v(406)+v(177)*v(573))
      v(685)=v(165)*(v(179)*v(377)+v(178)*v(405)+v(177)*v(571))
      v(684)=v(165)*(v(179)*v(376)+v(178)*v(404)+v(177)*v(570))
      v(683)=v(165)*(v(179)*v(375)+v(178)*v(403)+v(177)*v(568))
      v(682)=v(165)*(v(175)*v(386)+v(174)*v(414)+v(173)*v(586))
      v(681)=v(165)*(v(175)*v(385)+v(174)*v(413)+v(173)*v(585))
      v(680)=v(165)*(v(175)*v(384)+v(174)*v(412)+v(173)*v(583))
      v(679)=v(165)*(v(175)*v(383)+v(174)*v(411)+v(173)*v(581))
      v(678)=v(165)*(v(175)*v(382)+v(174)*v(410)+v(173)*v(580))
      v(677)=v(165)*(v(175)*v(381)+v(174)*v(409)+v(173)*v(578))
      v(676)=v(165)*(v(175)*v(380)+v(174)*v(408)+v(173)*v(576))
      v(675)=v(165)*(v(175)*v(379)+v(174)*v(407)+v(173)*v(575))
      v(674)=v(165)*(v(175)*v(378)+v(174)*v(406)+v(173)*v(573))
      v(673)=v(165)*(v(175)*v(377)+v(174)*v(405)+v(173)*v(571))
      v(672)=v(165)*(v(175)*v(376)+v(174)*v(404)+v(173)*v(570))
      v(671)=v(165)*(v(175)*v(375)+v(174)*v(403)+v(173)*v(568))
      v(670)=v(165)*(v(171)*v(386)+v(170)*v(414)+v(169)*v(586))
      v(669)=v(165)*(v(171)*v(385)+v(170)*v(413)+v(169)*v(585))
      v(668)=v(165)*(v(171)*v(384)+v(170)*v(412)+v(169)*v(583))
      v(667)=v(165)*(v(171)*v(383)+v(170)*v(411)+v(169)*v(581))
      v(666)=v(165)*(v(171)*v(382)+v(170)*v(410)+v(169)*v(580))
      v(665)=v(165)*(v(171)*v(381)+v(170)*v(409)+v(169)*v(578))
      v(664)=v(165)*(v(171)*v(380)+v(170)*v(408)+v(169)*v(576))
      v(663)=v(165)*(v(171)*v(379)+v(170)*v(407)+v(169)*v(575))
      v(662)=v(165)*(v(171)*v(378)+v(170)*v(406)+v(169)*v(573))
      v(661)=v(165)*(v(171)*v(377)+v(170)*v(405)+v(169)*v(571))
      v(660)=v(165)*(v(171)*v(376)+v(170)*v(404)+v(169)*v(570))
      v(659)=v(165)*(v(171)*v(375)+v(170)*v(403)+v(169)*v(568))
      v(658)=v(165)*(v(179)*v(444)+v(178)*v(474)+v(177)*v(566))
      v(657)=v(165)*(v(179)*v(443)+v(178)*v(473)+v(177)*v(565))
      v(656)=v(165)*(v(179)*v(442)+v(178)*v(472)+v(177)*v(564))
      v(655)=v(165)*(v(179)*v(441)+v(178)*v(471)+v(177)*v(562))
      v(654)=v(165)*(v(179)*v(440)+v(178)*v(470)+v(177)*v(561))
      v(653)=v(165)*(v(179)*v(439)+v(178)*v(469)+v(177)*v(560))
      v(652)=v(165)*(v(179)*v(438)+v(178)*v(468)+v(177)*v(558))
      v(651)=v(165)*(v(179)*v(437)+v(178)*v(467)+v(177)*v(557))
      v(650)=v(165)*(v(179)*v(436)+v(178)*v(466)+v(177)*v(556))
      v(649)=v(165)*(v(179)*v(435)+v(178)*v(465)+v(177)*v(554))
      v(648)=v(165)*(v(179)*v(434)+v(178)*v(464)+v(177)*v(553))
      v(647)=v(165)*(v(179)*v(433)+v(178)*v(463)+v(177)*v(552))
      v(646)=v(165)*(v(175)*v(444)+v(174)*v(474)+v(173)*v(566))
      v(645)=v(165)*(v(175)*v(443)+v(174)*v(473)+v(173)*v(565))
      v(644)=v(165)*(v(175)*v(442)+v(174)*v(472)+v(173)*v(564))
      v(643)=v(165)*(v(175)*v(441)+v(174)*v(471)+v(173)*v(562))
      v(642)=v(165)*(v(175)*v(440)+v(174)*v(470)+v(173)*v(561))
      v(641)=v(165)*(v(175)*v(439)+v(174)*v(469)+v(173)*v(560))
      v(640)=v(165)*(v(175)*v(438)+v(174)*v(468)+v(173)*v(558))
      v(639)=v(165)*(v(175)*v(437)+v(174)*v(467)+v(173)*v(557))
      v(638)=v(165)*(v(175)*v(436)+v(174)*v(466)+v(173)*v(556))
      v(637)=v(165)*(v(175)*v(435)+v(174)*v(465)+v(173)*v(554))
      v(636)=v(165)*(v(175)*v(434)+v(174)*v(464)+v(173)*v(553))
      v(635)=v(165)*(v(175)*v(433)+v(174)*v(463)+v(173)*v(552))
      v(634)=v(165)*(v(171)*v(444)+v(170)*v(474)+v(169)*v(566))
      v(633)=v(165)*(v(171)*v(443)+v(170)*v(473)+v(169)*v(565))
      v(632)=v(165)*(v(171)*v(442)+v(170)*v(472)+v(169)*v(564))
      v(631)=v(165)*(v(171)*v(441)+v(170)*v(471)+v(169)*v(562))
      v(630)=v(165)*(v(171)*v(440)+v(170)*v(470)+v(169)*v(561))
      v(629)=v(165)*(v(171)*v(439)+v(170)*v(469)+v(169)*v(560))
      v(628)=v(165)*(v(171)*v(438)+v(170)*v(468)+v(169)*v(558))
      v(627)=v(165)*(v(171)*v(437)+v(170)*v(467)+v(169)*v(557))
      v(626)=v(165)*(v(171)*v(436)+v(170)*v(466)+v(169)*v(556))
      v(625)=v(165)*(v(171)*v(435)+v(170)*v(465)+v(169)*v(554))
      v(624)=v(165)*(v(171)*v(434)+v(170)*v(464)+v(169)*v(553))
      v(623)=v(165)*(v(171)*v(433)+v(170)*v(463)+v(169)*v(552))
      v(166)=v(165)*(v(131)*v(169)+v(159)*v(170)+v(160)*v(171))
      v(167)=v(165)*(v(131)*v(173)+v(159)*v(174)+v(160)*v(175))
      v(168)=v(165)*(v(131)*v(177)+v(159)*v(178)+v(160)*v(179))
      v(172)=v(165)*(v(133)*v(169)+v(161)*v(170)+v(162)*v(171))
      v(176)=v(165)*(v(133)*v(173)+v(161)*v(174)+v(162)*v(175))
      v(180)=v(165)*(v(133)*v(177)+v(161)*v(178)+v(162)*v(179))
      v(181)=v(165)*(v(134)*v(169)+v(163)*v(170)+v(164)*v(171))
      v(182)=v(165)*(v(134)*v(173)+v(163)*v(174)+v(164)*v(175))
      v(697)=-(v(176)*v(181))+v(172)*v(182)
      v(183)=v(165)*(v(134)*v(177)+v(163)*v(178)+v(164)*v(179))
      v(696)=-(v(180)*v(181))+v(172)*v(183)
      v(695)=-(v(180)*v(182))+v(176)*v(183)
      v(709)=v(168)*(v(182)*v(634)-v(181)*v(646)-v(176)*v(670)+v(172
     &)*v(682))-v(167)*(v(183)*v(634)-v(181)*v(658)-v(180)*v(670)+v
     &(172)*v(694))+v(166)*(v(183)*v(646)-v(182)*v(658)-v(180)*v(682)
     &+v(176)*v(694))+v(165)*((v(171)*v(506)+v(170)*v(538)+v(169)*v
     &(550))*v(695)-(v(175)*v(506)+v(174)*v(538)+v(173)*v(550))*v(696
     &)+(v(179)*v(506)+v(178)*v(538)+v(177)*v(550))*v(697))
      v(708)=v(168)*(v(182)*v(633)-v(181)*v(645)-v(176)*v(669)+v(172
     &)*v(681))-v(167)*(v(183)*v(633)-v(181)*v(657)-v(180)*v(669)+v
     &(172)*v(693))+v(166)*(v(183)*v(645)-v(182)*v(657)-v(180)*v(681)
     &+v(176)*v(693))+v(165)*((v(171)*v(505)+v(170)*v(537)+v(169)*v
     &(549))*v(695)-(v(175)*v(505)+v(174)*v(537)+v(173)*v(549))*v(696
     &)+(v(179)*v(505)+v(178)*v(537)+v(177)*v(549))*v(697))
      v(707)=v(168)*(v(182)*v(632)-v(181)*v(644)-v(176)*v(668)+v(172
     &)*v(680))-v(167)*(v(183)*v(632)-v(181)*v(656)-v(180)*v(668)+v
     &(172)*v(692))+v(166)*(v(183)*v(644)-v(182)*v(656)-v(180)*v(680)
     &+v(176)*v(692))+v(165)*((v(171)*v(504)+v(170)*v(536)+v(169)*v
     &(548))*v(695)-(v(175)*v(504)+v(174)*v(536)+v(173)*v(548))*v(696
     &)+(v(179)*v(504)+v(178)*v(536)+v(177)*v(548))*v(697))
      v(706)=v(168)*(v(182)*v(631)-v(181)*v(643)-v(176)*v(667)+v(172
     &)*v(679))-v(167)*(v(183)*v(631)-v(181)*v(655)-v(180)*v(667)+v
     &(172)*v(691))+v(166)*(v(183)*v(643)-v(182)*v(655)-v(180)*v(679)
     &+v(176)*v(691))+v(165)*((v(171)*v(503)+v(170)*v(535)+v(169)*v
     &(547))*v(695)-(v(175)*v(503)+v(174)*v(535)+v(173)*v(547))*v(696
     &)+(v(179)*v(503)+v(178)*v(535)+v(177)*v(547))*v(697))
      v(705)=v(168)*(v(182)*v(630)-v(181)*v(642)-v(176)*v(666)+v(172
     &)*v(678))-v(167)*(v(183)*v(630)-v(181)*v(654)-v(180)*v(666)+v
     &(172)*v(690))+v(166)*(v(183)*v(642)-v(182)*v(654)-v(180)*v(678)
     &+v(176)*v(690))+v(165)*((v(171)*v(502)+v(170)*v(534)+v(169)*v
     &(546))*v(695)-(v(175)*v(502)+v(174)*v(534)+v(173)*v(546))*v(696
     &)+(v(179)*v(502)+v(178)*v(534)+v(177)*v(546))*v(697))
      v(704)=v(168)*(v(182)*v(629)-v(181)*v(641)-v(176)*v(665)+v(172
     &)*v(677))-v(167)*(v(183)*v(629)-v(181)*v(653)-v(180)*v(665)+v
     &(172)*v(689))+v(166)*(v(183)*v(641)-v(182)*v(653)-v(180)*v(677)
     &+v(176)*v(689))+v(165)*((v(171)*v(501)+v(170)*v(533)+v(169)*v
     &(545))*v(695)-(v(175)*v(501)+v(174)*v(533)+v(173)*v(545))*v(696
     &)+(v(179)*v(501)+v(178)*v(533)+v(177)*v(545))*v(697))
      v(703)=v(168)*(v(182)*v(628)-v(181)*v(640)-v(176)*v(664)+v(172
     &)*v(676))-v(167)*(v(183)*v(628)-v(181)*v(652)-v(180)*v(664)+v
     &(172)*v(688))+v(166)*(v(183)*v(640)-v(182)*v(652)-v(180)*v(676)
     &+v(176)*v(688))+v(165)*((v(171)*v(500)+v(170)*v(532)+v(169)*v
     &(544))*v(695)-(v(175)*v(500)+v(174)*v(532)+v(173)*v(544))*v(696
     &)+(v(179)*v(500)+v(178)*v(532)+v(177)*v(544))*v(697))
      v(702)=v(168)*(v(182)*v(627)-v(181)*v(639)-v(176)*v(663)+v(172
     &)*v(675))-v(167)*(v(183)*v(627)-v(181)*v(651)-v(180)*v(663)+v
     &(172)*v(687))+v(166)*(v(183)*v(639)-v(182)*v(651)-v(180)*v(675)
     &+v(176)*v(687))+v(165)*((v(171)*v(499)+v(170)*v(531)+v(169)*v
     &(543))*v(695)-(v(175)*v(499)+v(174)*v(531)+v(173)*v(543))*v(696
     &)+(v(179)*v(499)+v(178)*v(531)+v(177)*v(543))*v(697))
      v(701)=v(168)*(v(182)*v(626)-v(181)*v(638)-v(176)*v(662)+v(172
     &)*v(674))-v(167)*(v(183)*v(626)-v(181)*v(650)-v(180)*v(662)+v
     &(172)*v(686))+v(166)*(v(183)*v(638)-v(182)*v(650)-v(180)*v(674)
     &+v(176)*v(686))+v(165)*((v(171)*v(498)+v(170)*v(530)+v(169)*v
     &(542))*v(695)-(v(175)*v(498)+v(174)*v(530)+v(173)*v(542))*v(696
     &)+(v(179)*v(498)+v(178)*v(530)+v(177)*v(542))*v(697))
      v(700)=v(168)*(v(182)*v(625)-v(181)*v(637)-v(176)*v(661)+v(172
     &)*v(673))-v(167)*(v(183)*v(625)-v(181)*v(649)-v(180)*v(661)+v
     &(172)*v(685))+v(166)*(v(183)*v(637)-v(182)*v(649)-v(180)*v(673)
     &+v(176)*v(685))+v(165)*((v(171)*v(497)+v(170)*v(529)+v(169)*v
     &(541))*v(695)-(v(175)*v(497)+v(174)*v(529)+v(173)*v(541))*v(696
     &)+(v(179)*v(497)+v(178)*v(529)+v(177)*v(541))*v(697))
      v(699)=v(168)*(v(182)*v(624)-v(181)*v(636)-v(176)*v(660)+v(172
     &)*v(672))-v(167)*(v(183)*v(624)-v(181)*v(648)-v(180)*v(660)+v
     &(172)*v(684))+v(166)*(v(183)*v(636)-v(182)*v(648)-v(180)*v(672)
     &+v(176)*v(684))+v(165)*((v(171)*v(496)+v(170)*v(528)+v(169)*v
     &(540))*v(695)-(v(175)*v(496)+v(174)*v(528)+v(173)*v(540))*v(696
     &)+(v(179)*v(496)+v(178)*v(528)+v(177)*v(540))*v(697))
      v(698)=v(168)*(v(182)*v(623)-v(181)*v(635)-v(176)*v(659)+v(172
     &)*v(671))-v(167)*(v(183)*v(623)-v(181)*v(647)-v(180)*v(659)+v
     &(172)*v(683))+v(166)*(v(183)*v(635)-v(182)*v(647)-v(180)*v(671)
     &+v(176)*v(683))+v(165)*((v(171)*v(495)+v(170)*v(527)+v(169)*v
     &(539))*v(695)-(v(175)*v(495)+v(174)*v(527)+v(173)*v(539))*v(696
     &)+(v(179)*v(495)+v(178)*v(527)+v(177)*v(539))*v(697))
      v(190)=v(166)*v(695)-v(167)*v(696)+v(168)*v(697)
      v(713)=1d0/v(190)**2
      v(184)=cDvec(1)*v(49)+cDvec(2)*v(51)+cDvec(3)*v(53)+cDvec(4)*v
     &(56)
      v(1020)=-(v(184)*v(196)*v(813))
      v(829)=v(1020)*v(56)
      v(828)=v(1020)*v(53)
      v(827)=v(1020)*v(51)
      v(826)=v(1020)*v(49)
      v(712)=-(v(184)/v(190))+cDwallvec(1)*v(49)+cDwallvec(2)*v(51)
     &+cDwallvec(3)*v(53)+cDwallvec(4)*v(56)
      v(788)=(v(1022)*(1d0+dsign(1.d0,v(712))))/2d0
      v(783)=(rhoEvec(1)*v(49)+rhoEvec(2)*v(51)+rhoEvec(3)*v(53)
     &+rhoEvec(4)*v(56))*v(813)
      v(1021)=-(v(196)*(v(783)+v(788)))
      v(796)=v(1021)*v(56)
      v(795)=v(1021)*v(53)
      v(794)=v(1021)*v(51)
      v(793)=v(1021)*v(49)
      v(711)=v(184)*v(783)
      v(710)=-(v(711)/v(190))+v(1022)*MAX(v(712),DBLE(0))
      v(1023)=v(196)*(v(710)+v(190)*v(713)*(v(711)+v(184)*v(788)))
      v(726)=v(1023)*v(709)
      v(725)=v(1023)*v(708)
      v(724)=v(1023)*v(707)
      v(723)=v(1023)*v(706)
      v(722)=v(1023)*v(705)
      v(721)=v(1023)*v(704)
      v(720)=v(1023)*v(703)
      v(719)=v(1023)*v(702)
      v(718)=v(1023)*v(701)
      v(717)=v(1023)*v(700)
      v(716)=v(1023)*v(699)
      v(714)=v(1023)*v(698)
      v(192)=v(190)*v(196)*v(710)
      v(188)=AD*((-1d0)+dexp(v(1024)))*dexp(v(1024)*((-1d0)-1d0/((
     &-1d0)+dexp(tp/v(46)))))
      v(932)=qDbarref*v(1)*v(188)*v(196)
      v(944)=v(709)*v(932)
      v(943)=v(708)*v(932)
      v(942)=v(707)*v(932)
      v(941)=v(706)*v(932)
      v(940)=v(705)*v(932)
      v(939)=v(704)*v(932)
      v(938)=v(703)*v(932)
      v(937)=v(702)*v(932)
      v(936)=v(701)*v(932)
      v(935)=v(700)*v(932)
      v(934)=v(699)*v(932)
      v(933)=v(698)*v(932)
      v(198)=v(190)*v(932)
      resD1(1)=v(192)*v(727)
      resD1(2)=v(192)*v(740)
      resD1(3)=v(192)*v(753)
      resD1(4)=v(192)*v(766)
      tangD1U(1,1)=v(714)*v(727)
      tangD1U(1,2)=v(716)*v(727)
      tangD1U(1,3)=v(717)*v(727)
      tangD1U(1,4)=v(718)*v(727)
      tangD1U(1,5)=v(719)*v(727)
      tangD1U(1,6)=v(720)*v(727)
      tangD1U(1,7)=v(721)*v(727)
      tangD1U(1,8)=v(722)*v(727)
      tangD1U(1,9)=v(723)*v(727)
      tangD1U(1,10)=v(724)*v(727)
      tangD1U(1,11)=v(725)*v(727)
      tangD1U(1,12)=v(726)*v(727)
      tangD1U(2,1)=v(714)*v(740)
      tangD1U(2,2)=v(716)*v(740)
      tangD1U(2,3)=v(717)*v(740)
      tangD1U(2,4)=v(718)*v(740)
      tangD1U(2,5)=v(719)*v(740)
      tangD1U(2,6)=v(720)*v(740)
      tangD1U(2,7)=v(721)*v(740)
      tangD1U(2,8)=v(722)*v(740)
      tangD1U(2,9)=v(723)*v(740)
      tangD1U(2,10)=v(724)*v(740)
      tangD1U(2,11)=v(725)*v(740)
      tangD1U(2,12)=v(726)*v(740)
      tangD1U(3,1)=v(714)*v(753)
      tangD1U(3,2)=v(716)*v(753)
      tangD1U(3,3)=v(717)*v(753)
      tangD1U(3,4)=v(718)*v(753)
      tangD1U(3,5)=v(719)*v(753)
      tangD1U(3,6)=v(720)*v(753)
      tangD1U(3,7)=v(721)*v(753)
      tangD1U(3,8)=v(722)*v(753)
      tangD1U(3,9)=v(723)*v(753)
      tangD1U(3,10)=v(724)*v(753)
      tangD1U(3,11)=v(725)*v(753)
      tangD1U(3,12)=v(726)*v(753)
      tangD1U(4,1)=v(714)*v(766)
      tangD1U(4,2)=v(716)*v(766)
      tangD1U(4,3)=v(717)*v(766)
      tangD1U(4,4)=v(718)*v(766)
      tangD1U(4,5)=v(719)*v(766)
      tangD1U(4,6)=v(720)*v(766)
      tangD1U(4,7)=v(721)*v(766)
      tangD1U(4,8)=v(722)*v(766)
      tangD1U(4,9)=v(723)*v(766)
      tangD1U(4,10)=v(724)*v(766)
      tangD1U(4,11)=v(725)*v(766)
      tangD1U(4,12)=v(726)*v(766)
      tangD1D(1,1)=v(727)*v(793)
      tangD1D(1,2)=v(727)*v(794)
      tangD1D(1,3)=v(727)*v(795)
      tangD1D(1,4)=v(727)*v(796)
      tangD1D(2,1)=v(740)*v(793)
      tangD1D(2,2)=v(740)*v(794)
      tangD1D(2,3)=v(740)*v(795)
      tangD1D(2,4)=v(740)*v(796)
      tangD1D(3,1)=v(753)*v(793)
      tangD1D(3,2)=v(753)*v(794)
      tangD1D(3,3)=v(753)*v(795)
      tangD1D(3,4)=v(753)*v(796)
      tangD1D(4,1)=v(766)*v(793)
      tangD1D(4,2)=v(766)*v(794)
      tangD1D(4,3)=v(766)*v(795)
      tangD1D(4,4)=v(766)*v(796)
      tangD1En(1,1)=v(727)*v(826)
      tangD1En(1,2)=v(727)*v(827)
      tangD1En(1,3)=v(727)*v(828)
      tangD1En(1,4)=v(727)*v(829)
      tangD1En(2,1)=v(740)*v(826)
      tangD1En(2,2)=v(740)*v(827)
      tangD1En(2,3)=v(740)*v(828)
      tangD1En(2,4)=v(740)*v(829)
      tangD1En(3,1)=v(753)*v(826)
      tangD1En(3,2)=v(753)*v(827)
      tangD1En(3,3)=v(753)*v(828)
      tangD1En(3,4)=v(753)*v(829)
      tangD1En(4,1)=v(766)*v(826)
      tangD1En(4,2)=v(766)*v(827)
      tangD1En(4,3)=v(766)*v(828)
      tangD1En(4,4)=v(766)*v(829)
      resD2(1)=v(198)*v(49)
      resD2(2)=v(198)*v(51)
      resD2(3)=v(198)*v(53)
      resD2(4)=v(198)*v(56)
      tangD2U(1,1)=v(49)*v(933)
      tangD2U(1,2)=v(49)*v(934)
      tangD2U(1,3)=v(49)*v(935)
      tangD2U(1,4)=v(49)*v(936)
      tangD2U(1,5)=v(49)*v(937)
      tangD2U(1,6)=v(49)*v(938)
      tangD2U(1,7)=v(49)*v(939)
      tangD2U(1,8)=v(49)*v(940)
      tangD2U(1,9)=v(49)*v(941)
      tangD2U(1,10)=v(49)*v(942)
      tangD2U(1,11)=v(49)*v(943)
      tangD2U(1,12)=v(49)*v(944)
      tangD2U(2,1)=v(51)*v(933)
      tangD2U(2,2)=v(51)*v(934)
      tangD2U(2,3)=v(51)*v(935)
      tangD2U(2,4)=v(51)*v(936)
      tangD2U(2,5)=v(51)*v(937)
      tangD2U(2,6)=v(51)*v(938)
      tangD2U(2,7)=v(51)*v(939)
      tangD2U(2,8)=v(51)*v(940)
      tangD2U(2,9)=v(51)*v(941)
      tangD2U(2,10)=v(51)*v(942)
      tangD2U(2,11)=v(51)*v(943)
      tangD2U(2,12)=v(51)*v(944)
      tangD2U(3,1)=v(53)*v(933)
      tangD2U(3,2)=v(53)*v(934)
      tangD2U(3,3)=v(53)*v(935)
      tangD2U(3,4)=v(53)*v(936)
      tangD2U(3,5)=v(53)*v(937)
      tangD2U(3,6)=v(53)*v(938)
      tangD2U(3,7)=v(53)*v(939)
      tangD2U(3,8)=v(53)*v(940)
      tangD2U(3,9)=v(53)*v(941)
      tangD2U(3,10)=v(53)*v(942)
      tangD2U(3,11)=v(53)*v(943)
      tangD2U(3,12)=v(53)*v(944)
      tangD2U(4,1)=v(56)*v(933)
      tangD2U(4,2)=v(56)*v(934)
      tangD2U(4,3)=v(56)*v(935)
      tangD2U(4,4)=v(56)*v(936)
      tangD2U(4,5)=v(56)*v(937)
      tangD2U(4,6)=v(56)*v(938)
      tangD2U(4,7)=v(56)*v(939)
      tangD2U(4,8)=v(56)*v(940)
      tangD2U(4,9)=v(56)*v(941)
      tangD2U(4,10)=v(56)*v(942)
      tangD2U(4,11)=v(56)*v(943)
      tangD2U(4,12)=v(56)*v(944)
      tangD2D(1,1)=0d0
      tangD2D(1,2)=0d0
      tangD2D(1,3)=0d0
      tangD2D(1,4)=0d0
      tangD2D(2,1)=0d0
      tangD2D(2,2)=0d0
      tangD2D(2,3)=0d0
      tangD2D(2,4)=0d0
      tangD2D(3,1)=0d0
      tangD2D(3,2)=0d0
      tangD2D(3,3)=0d0
      tangD2D(3,4)=0d0
      tangD2D(4,1)=0d0
      tangD2D(4,2)=0d0
      tangD2D(4,3)=0d0
      tangD2D(4,4)=0d0
      tangD2En(1,1)=0d0
      tangD2En(1,2)=0d0
      tangD2En(1,3)=0d0
      tangD2En(1,4)=0d0
      tangD2En(2,1)=0d0
      tangD2En(2,2)=0d0
      tangD2En(2,3)=0d0
      tangD2En(2,4)=0d0
      tangD2En(3,1)=0d0
      tangD2En(3,2)=0d0
      tangD2En(3,3)=0d0
      tangD2En(3,4)=0d0
      tangD2En(4,1)=0d0
      tangD2En(4,2)=0d0
      tangD2En(4,3)=0d0
      tangD2En(4,4)=0d0
      fB2=v(188)
      END
